---
name: "\U0001F41B Bug Report"
about: Submit a bug report to help us improve NLE

---

## 🐛 Bug

<!-- A clear and concise description of what the bug is. -->

## To Reproduce

Steps to reproduce the behavior:

1.
2.
3.

<!-- If you have a code sample, error messages, stack traces, please provide it here as well -->

## Expected behavior

<!-- A clear and concise description of what you expected to happen, if applicable. -->

## Environment

Please copy and paste the output from running our
[environment collection script](https://raw.githubusercontent.com/facebookresearch/nle/main/nle/scripts/collect_env.py)
(or fill out the checklist below manually).

You can get the script and run it with:
```
# with repo already installed
$ python -m nle.scripts.collect_env

# or instead pull it from github
wget https://raw.githubusercontent.com/facebookresearch/nle/main/nle/scripts/collect_env.py
# For security purposes, please check the contents of collect_env.py before running it.
python collect_env.py
```

 - NLE Version (e.g., 1.0):
 - PyTorch Version (e.g., 1.0):
 - OS (e.g., Linux):
 - How you installed NLE (`conda`, `pip`, source):
 - Build command you used (if compiling from source):
 - Python version:
 - CUDA/cuDNN version:
 - GPU models and configuration:
 - Any other relevant information:

## Additional context

<!-- Add any other context about the problem here. -->
